List scheduling links
Get a paginated list of scheduling links for the authenticated user.
OAuth 2.0 authorization code flow
In: header
Query Parameters
The maximum number of entries to return in the paginated response.
1 <= value <= 10020A cursor for use in pagination. Returns entries after the given cursor. Cursor values can be found in the metadata object on paginated responses.
A cursor for use in pagination. Returns entries before the given cursor. Cursor values can be found in the metadata object on paginated responses.
Filter by link state
Value in
- "active"
- "disabled"
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/links?state=active"{ "entries": [ { "default_duration": 30, "description": "A brief meeting to discuss your needs", "durations": [ 15, 30, 45 ], "fields": [ { "id": "field_123", "is_required": true, "label": "Company", "options": [], "type": "short_text" } ], "id": "link_01J5KC2G3MHPCECSQ6KM6FMDPC", "increment": 15, "name": "30 Minute Meeting", "private_name": "Quick sync with prospects", "scope": { "id": "scope_01J5KC4R7NHQFGT8V2WD9Y8H6X", "name": "Sales Team", "slug": "sales" }, "slug": "30min", "state": "active" } ], "metadata": { "after": "eyJpZCI6ImxpbmtfYWJjMTIzIn0", "before": null, "limit": 25 }}Create event POST
Create an event for a given scheduling link. **Note about time slots:** You'll only be able to create events that match an available time slot for the underlying scheduling link. You can use the [List Available Slots](/api/get-link-slots) endpoint to query for time slots. **Note about conferencing:** For some conferencing providers (like Zoom), the meeting information is not guaranteed to appear in the response body. If our initial attempt to create the meeting room fails, we will retry and attach the information to event later.
Create personal scheduling link POST
Create a new scheduling link in personal scope of the current user.